Bug 13523 - [FR] support trivial RPM macros in file paths
: [FR] support trivial RPM macros in file paths
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/cpan2rpm)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-11-25 23:13 by
Modified: 2010-11-07 23:38 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-11-25 23:13:47
Было бы здорово научить cpan2rpm работать в условиях разнесённых по имени
пакета
исходников (%_sourcedir %{_topsrcdir}/SOURCES/%name в ~/.rpmmacros).

Сейчас получается так:

---
~/RPM/SPECS> cpan2rpm Image-ExifTool

-- cpan2rpm - Ver: 2.027 --
Fetch: HTTP

-- module: Image-ExifTool --
Found: Image-ExifTool-7.00.tar.gz
At: http://search.cpan.org//CPAN/authors/id/E/EX/EXIFTOOL
Retrieving URL
writefile('/home/mike/RPM/SOURCES/%name/Image-ExifTool-7.00.tar.gz'): No such
file or directory. Stopped at /usr/bin/cpan2rpm line 1211.
---

Если сделать каталог /home/mike/RPM/SOURCES/perl-Image-ExifTool и рядом --
симлинк на него с именем %name, то всё получится, но не очень удобно.
------- Comment #1 From 2008-01-09 02:51:42 -------
К сожалению, я не знаток Перла.
Мне будет проще собрать ещё один перловый модуль, чем патчить cpan2rpm.
Подождём, когда он совсем устареет, и тогда с новыми силами...
------- Comment #2 From 2010-11-06 15:52:44 -------
apparently wontfix